Skip to main content

Acknowledge a Subscription

This API provides a way to acknowledge subscriptions in a server-to-server request.

This API should proceed with a retry mechanism in case of failure to avoid automatic refunds. Follow this documentation to implement the retry mechanism correctly.

Endpoint

MethodURL
POSThttps://api.catappult.io/productv2/8.20250505/google/inapp/v3/applications/{packageName}/purchases/subscriptions/{sku}/tokens/{purchaseToken}/acknowledge

Authentication

To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Path Parameters

ParameterTypeRequiredDescription
packageNamestringRequiredPackage name of the application.
skustringRequiredThe SKU associated to the purchase.
purchaseTokenstringRequiredPurchase ID defined as token in the Purchase class of the SDK.

Response

StatusDescription
204Subscription acknowledged successfully. Returns an empty object {}.